get_datafile_property(3)

NAME
get_datafile_property - Returns the property string for the object. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

const char *get_datafile_property(const DATAFILE *dat, int type);

DESCRIPTION
Finds the property type of a DATAFILE object. The type parameter must be a value created with the DAT_ID() macro. Example:
   const char *name;
   ...
   name = get_datafile_property(game_data,
                                DAT_ID('N','A','M','E'));
   if (name == empty_string)
      abort_on_error("Object doesn't have a name!");

RETURN VALUE
Returns a pointer to the text string for the object, or a pointer to the variable empty_string if the property isn't present.

SEE ALSO
DAT_ID(3), empty_string(3)